FUNCTION BROADCAST(3)

NAME
boost::mpi::broadcast

SYNOPSIS

// In header: <boost/mpi/collectives.hpp>
template<typename T>
  void broadcast(const communicator & comm, T * values, int n, int root);
template<typename T>
  void broadcast(const communicator & comm, skeleton_proxy< T > & value,
                 int root);
template<typename T>
  void broadcast(const communicator & comm, const skeleton_proxy< T > & value,
                 int root);

DESCRIPTION

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters:

    n
        When supplied, the number of values that the pointer values points to, for broadcasting an array of values. The value of n must be the same for all processes in comm.